<template>
  <zt-combo-tree v-model="selectValue" url="teamGroup/class/tree" :readonly="readonly" :disabled="disabled"
                 :datas="datas" :multiple="multiple" :placeholder="placeholder" :leafOnly="leafOnly" :lazy="lazy" @select="onSelected"/>
</template>
<script>

  export default {
    name: 'TeamGroupSelector',
    components: {},
    props: {
      datas: [String, Array],
      value: String,
      multiple: {
        type: Boolean,
        default: false
      },
      disabled: {
        type: Boolean,
        default: false
      },
      readonly:{
        type: Boolean,
        default: false
      },
      placeholder: String,
      leafOnly: {
        type: Boolean,
        default: false
      },
      lazy: {
        type: Boolean,
        default: true
      }
    },
    data() {
      return {
        selectValue: this.getValue(this.value)
      }
    },
    watch: {
      value(val, oldval) {
        this.selectValue = this.getValue(val)
      }
    },
    mounted() {
      this.onSelected()
    },
    methods: {
      getValue(value) {
        if (this.multiple) {
          return Array.isArray(value) ? value : (value || '').split(',')
        } else {
          return typeof value === 'undefined' ? '' : value
        }
      },
      onSelected(data) {
        if (this.multiple) {
          this.$emit('input', (this.selectValue || []).join(','))
        } else {
          this.$emit('input', this.selectValue)
        }
      }
    }
  }
</script>
